module Ubazu
  module Rspec # :nodoc:
    module Matchers
      module ActiveRecord # :nodoc:

        class ValidationMatcher # :nodoc:

          attr_reader :failure_message

          def initialize(attribute)
            @attribute = attribute
          end

          def negative_failure_message
            @negative_failure_message || @failure_message
          end

          def matches?(subject)
            @subject = subject
            false
          end
        end
      end
    end
  end
end